MSGUNFMT(1)

NOM
msgunfmt — Décompiler un catalogue de messages depuis son format binaire

SYNOPSIS
msgunfmt [OPTION] [FICHIER]...

DESCRIPTION

Cet utilitaire permet de convertir un catalogue de messages binaire en fichier .po de style Uniforum.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

  Mode opératoire :

-j, --java
    mode Java : l’entrée est une classe Java ResourceBundle

--csharp
    mode C# : l’entrée est un fichier .dll .NET

--csharp-resources
    mode ressources C# : l’entrée est un fichier .resources .NET

--tcl
    mode Tcl : l’entrée est un fichier .msg tcl/msgcat

  Emplacement du fichier d'entrée :

FICHIER ...
    fichiers .mo d’entrée

Si aucun fichier d'entrée n'est indiqué ou si c'est « - », c'est l'entrée standard qui est lue.

  Emplacement du fichier d’entrée en mode Java :

-r, --resource=RESSOURCE
    nom ressource

-l, --locale=PARAMÈTRES_RÉGIONAUX
    PARAMÈTRES_RÉGIONAUX sous la forme « langue » ou « langue_PAYS »

Le nom de la classe est déterminé en ajoutant le nom de la locale au nom de la ressource et en les séparant avec un caractère de soulignement. L’emplacement de la classe est indiqué par la variable d’environnement CLASSPATH.

  Emplacement du fichier d’entrée en mode C# :

-r, --resource=RESSOURCE
    nom ressource

-l, --locale=PARAMÈTRES_RÉGIONAUX
    PARAMÈTRES_RÉGIONAUX sous la forme « langue » ou « langue_PAYS »

-d RÉPERTOIRE
    RÉPERTOIRE racine des fichiers .dll dépendant des paramètres régionaux

Les options -l et -d sont obligatoires. Le fichier .dll se trouve dans un sous-répertoire du RÉPERTOIRE spécifié dont le nom dépend des paramètres régionaux.

  Emplacement du fichier d’entrée en mode Tcl :

-l, --locale=PARAMÈTRES_RÉGIONAUX
    PARAMÈTRES_RÉGIONAUX sous la forme « langue » ou « langue_PAYS »

-d RÉPERTOIRE
    RÉPERTOIRE racine des catalogues de messages .msg

Les options -l et -d sont obligatoires. Le fichier .msg se trouve dans le RÉPERTOIRE spécifié.

  Emplacement du fichier de sortie :

-o, --output-file=FICHIER_SORTIE
    écrire la sortie dans le fichier spécifié

Les résultats seront écrits sur la sortie standard si aucun fichier n'est spécifié ou si c'est « - ».

  Présentation de la sortie :

--color
    toujours utiliser la couleur et d'autres attributs de texte

--color=QUAND
    QUAND utiliser la couleur et d'autres attributs de texte. QUAND peut être always, never, auto ou html

--style=FICHIER_STYLE
    spécifier le fichier de règles de style CSS pour --color

-e, --no-escape
    ne pas utiliser de séquence d'échappement C dans la sortie (comportement par défaut)

-E, --escape
    utiliser les séquences d'échappement C dans la sortie, pas les caractères étendus

--force-po
    écrire un fichier PO même s'il est vide

-i, --indent
    produire une sortie de style indenté

--strict
    produire une sortie de style Uniforum strict

-p, --properties-output
    écrire un fichier .properties Java

--stringtable-output
    écrire un fichier .strings NeXTstep/GNUstep

-w, --width=LARGEUR
    définir la LARGEUR de page de la sortie

--no-wrap
    ne pas scinder en plusieurs lignes les longues lignes de message, plus longues que la largeur de la page de sortie

-s, --sort-output
    générer une sortie triée

  Sortie informative :

-h, --help
    afficher l'aide-mémoire et quitter

-V, --version
    afficher les informations de version et quitter

-v, --verbose
    augmenter le niveau de détail

AUTEUR
Écrit par Ulrich Drepper et Bruno Haible.

SIGNALER DES BOGUES
Signaler les bogues dans le système de gestion de problèmes à l'adresse <https://savannah.gnu.org/projects/gettext> ou par courriel à <bug-gettext@gnu.org>.

COPYRIGHT
Copyright © 1995-2026 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
La documentation complète de msgunfmt est disponible dans un manuel Texinfo. Si les programmes info et msgunfmt sont correctement installés, la commande

    info msgunfmt

devrait vous donner accès au manuel complet.

TRADUCTION
La traduction française de cette page de manuel a été créée par Lucien Gentis <lucien.gentis@univ-lorraine.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.